KB Article #176363

What version of OpenSSL does the API Gateway use?

Problem

-- How do I determine what version of OpenSSL the API Gateway is using?



Resolution


* The API Gateway includes a bundled version of OpenSSL that is independent of the system's OpenSSL. You can find the copy used by the gateway under [install]/<[platform]/lib where <code>[install] is the location the API Gateway is installed (e.g. /opt/Axway/apigateway) and <code>[platform] is your platform, for example, Win32 or Linux_x64. From that directory, you can run the command <code>openssl version to see the version bundled. OpenSSL will report a version of "0.9.8zb dev" with certain patches. This is equivalent to OpenSSL 0.9.8za.

e.g. On Linux we can run the bundled openssl with the vrun command which sets up the API Gateway environment

/opt/Axway/apigateway/posix/bin/vrun openssl version
OpenSSL 1.0.1j 15 Oct 2014